import request from '@/utils/request'

// 用户列表
export function getUserList(params: any) {
    return request.get({ url: '/user.user/datas', params }, { ignoreCancelToken: true })
}

// 土地表列表
export function apiLandLists(params: any) {
    return request.get({ url: '/land.land/datas', params })
}

// 产品列表列表
export function apiProductLists(params: any) {
    return request.get({ url: '/land.product/lists', params })
}

// 监测设备列表
export function apiDeviceLists(params: any) {
    return request.get({ url: '/device.device/datas', params })
}


// 添加产品列表
export function apiProductAdd(params: any) {
    return request.post({ url: '/land.product/add', params })
}

// 编辑产品列表
export function apiProductEdit(params: any) {
    return request.post({ url: '/land.product/edit', params })
}

// 删除产品列表
export function apiProductDelete(params: any) {
    return request.post({ url: '/land.product/delete', params })
}

// 产品列表详情
export function apiProductDetail(params: any) {
    return request.get({ url: '/land.product/detail', params })
}

// 绑定设备
export function apiProductBind(params: any) {
    return request.post({ url: '/land.product/bind', params })
}

// 用户信息
export function getUserInfo() {
    return request.get({ url: '/auth.admin/mySelf' })
}